Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  package sabbus
  Definition Classes
    ant
- Break
- CompilationFailure
- CompilationPathProperty
- Compiler
- Compilers
- ForeignCompiler
- Make
- ScalacFork
- Settings
- TaskArgs
- Use

p

scala.tools.ant

# sabbus 

#### package sabbus

 
Ordering

1. Alphabetic

Visibility

1. Public
2. All

### Type Members

1.  class Break extends Task
2.  case class CompilationFailure(message: String, cause: Exception) extends Exception with Product with Serializable
3.  trait CompilationPathProperty extends AnyRef
4.  class Compiler extends AnyRef
5.  class ForeignCompiler extends AnyRef
6.  class Make extends Task with TaskArgs
7.  class ScalacFork extends ScalaMatchingTask with ScalacShared with TaskArgs

   An Ant task to compile with the new Scala compiler (NSC).

   An Ant task to compile with the new Scala compiler (NSC).

   This task can take the following parameters as attributes:

   - `srcdir` (mandatory),
   - `failonerror`,
   - `timeout`,
   - `jvmargs`,
   - `argfile`,
   - `params`.

   It also takes the following parameters as nested elements:

   - `src` (for `srcdir`),
   - `classpath`,
   - `sourcepath`,
   - `bootclasspath`,
   - `extdirs`,
   - `compilerarg`.
8.  class Settings extends AnyRef
9.  trait TaskArgs extends CompilationPathProperty
10.  class Use extends ScalaMatchingTask

### Value Members

1.  object Compilers extends DefaultMap[String, Compiler]

### Ungrouped